gnutls_pkcs12_bag_get_data(3)

NAME
gnutls_pkcs12_bag_get_data

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_get_data(gnutls_pkcs12_bag_t bag, int indx, gnutls_datum_t * data);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

int indx
    The element of the bag to get the data from

gnutls_datum_t * data
    where the bag's data will be. Should be treated as constant.

DESCRIPTION
This function will return the bag's data. The data is a constant that is stored into the bag. Should not be accessed after the bag is deleted. Returns 0 on success and a negative error code on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.